;
; SMS Dump - <config.asm>
; Configurable Stuff
;

;------------------------------------------------------------------------------
; MAIN LAYOUT
;------------------------------------------------------------------------------
string_layout:
        .DB     "--------------------------------",     13
        .DB     " SMS DUMP 1.00",                       13
        .DB     " BY OMAR CORNUT (BOCK)",               13
        .DB     " HTTP://WWW.SMSPOWER.ORG/DEV",         13
        .DB     "--------------------------------",     13
        .DB     " SOURCE:",                             13
        .DB     "--------------------------------",     13
        .DB     " SLOT:   EXP.  CART  CARD  BIOS",      13
        .DB     " MAPPER: NONE  FFFF  A000  0002",      13
        .DB     " START:  0     16    32    48",        13
        .DB     " ADDRESS:0000  4000  8000  C000",      13
        .DB     " SIZE:   48    128   256   512",       13
        .DB     "--------------------------------",     13
        .DB     " DESTINATION:",                        13
        .DB     "--------------------------------",     13
        .DB     " SLOT:   EXP.  CART  CARD  BIOS",      13
        .DB     " MAPPER: NONE  FFFE  FFFF  8000",      13
        .DB     " START:  0     16    32    48",        13
        .DB     " ADDRESS:0000  4000  8000  C000",      13
        .DB     "--------------------------------",     13
        .DB     " PRESS BUTTON A TO START COPY",        13
        .DB     " PRESS BUTTON B TO VIEW SOURCE",       13
        .DB     "                      [WAITING] ",     13
        .DB     "--------------------------------",     13
        .DB     0
;------------------------------------------------------------------------------
; DEFAULT PARAMETERS SETTINGS
;------------------------------------------------------------------------------
var_params_default:
        ; SRC Slot = Cartridge, Mapper = FFFF, Start = 0, Address = 8000
        .DB     1,      1,      0,      2
        ;; SRC Slot = BIOS, Mapper = FFFF, Start = 0, Address = 8000
        ;.DB     3,      1,      0,      2
        ; SRC Size = 256 kb
        .DB     2
        ; DST Slot = Expansion, Mapper = FFFF, Start = 0, Address = 8000
        .DB     0,      2,      0,      2
        ;; DST Slot = Cartridge, Mapper = FFFF, Start = 0, Address = 8000
        ;.DB     1,      2,      0,      2
;------------------------------------------------------------------------------
; COORDINATES OF ITEMS IN THE LAYOUT
;------------------------------------------------------------------------------
var_params_x_coord:
        .DB     9, 15, 21, 27
var_params_y_coord:
        .DB     7, 8, 9, 10, 11, 15, 16, 17, 18
;------------------------------------------------------------------------------
; DATA TABLES
;------------------------------------------------------------------------------
var_params_slot_table:
        .DB     SLOT_EXPANSION, SLOT_CARTRIDGE, SLOT_CARD, SLOT_BIOS
var_params_src_mapper_table:
        .DW     $0000, $FFFF, $A000, $0002
var_params_dst_mapper_table:
        .DW     $0000, $FFFE, $FFFF, $8000
var_params_src_address_table:
        .DW     $0000, $4000, $8000, $C000
var_params_dst_address_table:
        .DW     $0000, $4000, $8000, $C000
var_params_start_table:
        .DB     0, 16, 32, 48
var_params_size_table:
        .DB     3, 8, 16, 32
;------------------------------------------------------------------------------

